Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 2397)
@@ -78,80 +78,80 @@
  * @author mdecorde
  */
 public class IndexEditor extends TXMEditor<Index> {
-
+	
 	/** The index. */
 	protected Index index;
-
+	
 	// params
 	/** The query label. */
 	protected Label queryLabel;
-
+	
 	// infos
 	/** The navigation area. */
 	protected NavigationWidget navigationArea;
-
+	
 	/** The l fmin info. */
 	protected Label lFminInfo;
-
+	
 	/** The l fmax info. */
 	protected Label lFmaxInfo;
-
+	
 	/** The l v info. */
 	protected Label lVInfo;
-
+	
 	/** The l t info. */
 	protected Label lTInfo;
 	
 	/** The line table viewer. */
 	protected TableViewer viewer;
-
+	
 	/** The n column. */
 	protected TableColumn nColumn;
-
+	
 	/** The unit column. */
 	protected TableColumn unitColumn;
-
+	
 	/** The freq column. */
 	protected TableColumn freqColumn;
-
+	
 	/** The separator column. */
 	protected TableColumn separatorColumn;
-
-
+	
+	
 	/** The title. */
 	String title;
-
+	
 	/** The query widget. */
-	@Parameter(key=TXMPreferences.QUERY)
+	@Parameter(key = TXMPreferences.QUERY)
 	protected AssistedChoiceQueryWidget queryWidget;
-
+	
 	/**
 	 * Minimum frequency filtering spinner.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
-
+	
 	/**
 	 * Maximum frequency filtering spinner.
 	 */
-	@Parameter(key=TXMPreferences.F_MAX)
+	@Parameter(key = TXMPreferences.F_MAX)
 	protected Spinner fMaxSpinner;
-
+	
 	/**
 	 * Maximum number of lines filtering.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
-
 	
+	
 	/** The N ligne p page spinner. */
-	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
+	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPageSpinner;
 	
 	/**
 	 * Word properties selector.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
 	
 	/**
@@ -162,8 +162,8 @@
 	 */
 	@Override
 	public void _createPartControl() {
-
 		
+		
 		this.index = (Index) this.getResult();
 		
 		// Computing listeners
@@ -171,8 +171,8 @@
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
 		Composite extendedParametersComposite = this.getExtendedParametersGroup();
-		//extendedParametersComposite.setLayout(new FormLayout());
-
+		// extendedParametersComposite.setLayout(new FormLayout());
+		
 		// info&navigation panel
 		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
@@ -180,16 +180,16 @@
 		
 		// on créé une Query, ici le pivot de la concordance est "[]"
 		// Query Area: query itself + view properties
-//		Composite queryArea = new Composite(extendedParametersComposite, SWT.NONE);
-//
-//		FormData queryLayoutData = new FormData();
-//		queryLayoutData.top = new FormAttachment(0);
-//		queryLayoutData.left = new FormAttachment(0);
-//		queryLayoutData.right = new FormAttachment(100);
-//		queryArea.setLayoutData(queryLayoutData);
-//
-//		queryArea.setLayout(new GridLayout(4, false));
-
+		// Composite queryArea = new Composite(extendedParametersComposite, SWT.NONE);
+		//
+		// FormData queryLayoutData = new FormData();
+		// queryLayoutData.top = new FormAttachment(0);
+		// queryLayoutData.left = new FormAttachment(0);
+		// queryLayoutData.right = new FormAttachment(100);
+		// queryArea.setLayoutData(queryLayoutData);
+		//
+		// queryArea.setLayout(new GridLayout(4, false));
+		
 		// | Query: [ (v)] [Search] |
 		
 		
@@ -198,12 +198,12 @@
 		this.getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
 		this.getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-				
+		
 		// Query:
 		queryLabel = new Label(this.getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
-
+		
 		// [ (v)]
 		queryWidget = new AssistedChoiceQueryWidget(this.getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
@@ -237,8 +237,8 @@
 		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
 		
 		
-		// FIXME: SJ: we should create a widget class for the number of results per page 
-		// Number of results per page 
+		// FIXME: SJ: we should create a widget class for the number of results per page
+		// Number of results per page
 		LabeledSpinner numberOfResultsPerPage = new LabeledSpinner(this.getExtendedParametersGroup(), this, IndexUIMessages.pageSize);
 		this.nLinesPerPageSpinner = numberOfResultsPerPage.getSpinner();
 		this.nLinesPerPageSpinner.setMinimum(0);
@@ -246,17 +246,17 @@
 		this.nLinesPerPageSpinner.setIncrement(1);
 		this.nLinesPerPageSpinner.setPageIncrement(100);
 		
-
 		
+		
 		// Bottom toolbar
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
-		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true,	false));
-
+		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true, false));
+		
 		navigationArea.addFirstListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(0);
@@ -267,14 +267,14 @@
 			}
 		});
 		navigationArea.addLastListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				int i = (index.getV()/nLinesPerPageSpinner.getSelection());
-				int top = i*nLinesPerPageSpinner.getSelection();
+				int i = (index.getV() / nLinesPerPageSpinner.getSelection());
+				int top = i * nLinesPerPageSpinner.getSelection();
 				
 				index.setTopLine(top);
 				fillResultArea();
@@ -284,10 +284,10 @@
 			}
 		});
 		navigationArea.addNextListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(index.getTopIndex() + index.getNLinesPerPage());
@@ -297,71 +297,74 @@
 			}
 		});
 		navigationArea.addPreviousListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int top = index.getTopIndex() - index.getNLinesPerPage();
-				if (top < 0) { top = 0; }
+				if (top < 0) {
+					top = 0;
+				}
 				index.setTopLine(top);
 				fillResultArea();
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
 			}
 		});
-
+		
 		// Labels added after the top toolbar
 		lTInfo = new Label(infosArea, SWT.NONE);
 		lTInfo.setText(""); //$NON-NLS-1$
-//		lTInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lTInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lVInfo = new Label(infosArea, SWT.NONE);
 		lVInfo.setText(""); //$NON-NLS-1$
-//		lVInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lVInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lFminInfo = new Label(infosArea, SWT.NONE);
 		lFminInfo.setText(""); //$NON-NLS-1$
-//		lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lFmaxInfo = new Label(infosArea, SWT.NONE);
 		lFmaxInfo.setText(""); //$NON-NLS-1$
-//		lFmaxInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lFmaxInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		// results
 		Composite resultArea = this.getResultArea();
-
+		
 		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER);
 		
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
-
+		
 		String fontName = index.getCorpus().getProject().getFont();
 		if (fontName != null && fontName.length() > 0) {
 			Font old = viewer.getTable().getFont();
 			FontData fD = old.getFontData()[0];
-			//Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
-			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle()); 
+			// Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
+			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle());
 			viewer.getTable().setFont(font);
 		}
-
+		
 		viewer.getTable().setLayoutData(new GridData(GridData.FILL_BOTH));
-
+		
 		viewer.setLabelProvider(new LineLabelProvider());
 		viewer.setContentProvider(new LineContentProvider());
 		viewer.setInput(new ArrayList<Property>());
-
+		
 		nColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		nColumn.setText(" "); //$NON-NLS-1$
 		nColumn.pack();
-
+		
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		unitColumn.setText(TXMCoreMessages.common_units);
 		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				StatusLine.setMessage(TXMUIMessages.sortingColumn);
@@ -369,41 +372,45 @@
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
 					index.sortLines(SortMode.UNIT, false);
-				} else {
+				}
+				else {
 					if (viewer.getTable().getSortDirection() == SWT.UP) {
 						viewer.getTable().setSortDirection(SWT.DOWN);
 						index.sortLines(SortMode.UNITFREQ, true);
-					} else {
+					}
+					else {
 						viewer.getTable().setSortDirection(SWT.UP);
 						index.sortLines(SortMode.UNITFREQ, false);
 					}
 				}
-
+				
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		freqColumn.setText(TXMCoreMessages.common_frequency);
 		freqColumn.setToolTipText(TXMCoreMessages.common_frequency);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				if (viewer.getTable().getSortColumn() != freqColumn) {
 					viewer.getTable().setSortColumn(freqColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
 					index.sortLines(SortMode.FREQUNIT, false);
-				} else {
+				}
+				else {
 					if (viewer.getTable().getSortDirection() == SWT.UP) {
 						viewer.getTable().setSortDirection(SWT.DOWN);
 						index.sortLines(SortMode.FREQUNIT, true);
-					} else {
+					}
+					else {
 						viewer.getTable().setSortDirection(SWT.UP);
 						index.sortLines(SortMode.FREQUNIT, false);
 					}
@@ -411,57 +418,56 @@
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		separatorColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		separatorColumn.setText(""); //$NON-NLS-1$
 		separatorColumn.pack();
 		extendedParametersComposite.pack();
-
+		
 		// Add double click, "Send to" command
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, viewer.getTable().getColumnCount() - 1, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
 		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
-
+		
 		setFocus();
-
+		
 	}
-
 	
 	
-
+	
+	
 	@Override
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
-
 	
+	
 	/**
 	 * Computes index.
 	 */
 	@Override
 	public void updateEditorFromResult(final boolean update) {
-
+		
 		QueriesView.refresh();
 		RVariablesView.refresh();
-
+		
 		if (!queryWidget.isDisposed()) {
 			queryWidget.memorize();
 		}
-
+		
 		fillResultArea();
-
+		
 		viewer.getTable().setFocus();
 	}
-
-
-
+	
+	
+	
 	/**
 	 * Fill result area using the index top and index number of results per page parameters.
 	 *
@@ -480,21 +486,21 @@
 		else {
 			lines = new ArrayList<Line>();
 		}
-
-		navigationArea.setInfoLineText(""+(from + 1), //$NON-NLS-1$
+		
+		navigationArea.setInfoLineText("" + (from + 1), //$NON-NLS-1$
 				"-" + (to) + " / " + index.getV()); //$NON-NLS-1$ //$NON-NLS-2$
 		navigationArea.setPreviousEnabled(from > 0);
 		navigationArea.setFirstEnabled(from > 0);
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
-
+		
 		lFminInfo.setText(TXMCoreMessages.fmin + index.getFmin());
 		lFmaxInfo.setText(TXMCoreMessages.fmax + index.getFmax());
 		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
 		lVInfo.setText(TXMCoreMessages.v + index.getV());
-
+		
 		lVInfo.getParent().layout();
-
+		
 		String unitColumnHeader = ""; //$NON-NLS-1$
 		for (Property p : index.getProperties()) {
 			unitColumnHeader += p.getName() + index.getPropertySeparator();
@@ -503,17 +509,17 @@
 			unitColumnHeader = unitColumnHeader.substring(0, unitColumnHeader.length() - 1);
 		}
 		unitColumn.setText(unitColumnHeader);
-
+		
 		viewer.setInput(lines);
 		if (from == 0) {
 			viewer.getTable().setTopIndex(0);
 		}
-
+		
 		// Refresh and pack the columns
 		TXMEditor.packColumns(viewer);
 		
 	}
-
+	
 	/**
 	 * Sets the focus.
 	 *
@@ -526,7 +532,7 @@
 		}
 		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
-
+	
 	/**
 	 * Gets the corpus of the index.
 	 *
@@ -535,12 +541,13 @@
 	public CQPCorpus getCorpus() {
 		return index.getCorpus();
 	}
-
+	
 	/**
 	 * Gets the query of the query widget.
+	 * 
 	 * @return
 	 */
 	public IQuery getQuery() {
 		return queryWidget.getQuery();
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.index.rcp/.classpath
===================================================================
--- tmp/org.txm.index.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.index.rcp/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.imports.metopes/.classpath
===================================================================
--- tmp/org.txm.imports.metopes/.classpath	(revision 2396)
+++ tmp/org.txm.imports.metopes/.classpath	(revision 2397)
@@ -1,13 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
-			<accessrule kind="accessible" pattern="**"/>
+			<accessrule kind="accessible" pattern="**" />
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="src" path="res"/>
-	<classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	<classpathentry kind="output" path="bin"/>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="src" path="res" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
Index: tmp/org.txm.groovy.rcp/.classpath
===================================================================
--- tmp/org.txm.groovy.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.groovy.rcp/.classpath	(revision 2397)
@@ -1,7 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.groovy.rcp/src/org/txm/groovy/rcp/views/SampleView.java
===================================================================
--- tmp/org.txm.groovy.rcp/src/org/txm/groovy/rcp/views/SampleView.java	(revision 2396)
+++ tmp/org.txm.groovy.rcp/src/org/txm/groovy/rcp/views/SampleView.java	(revision 2397)
@@ -31,57 +31,64 @@
  */
 
 public class SampleView extends ViewPart {
-
+	
 	/**
 	 * The ID of the view as specified by the extension.
 	 */
 	public static final String ID = "org.txm.groovy.rcp.views.SampleView";
-
+	
 	private TableViewer viewer;
+	
 	private Action action1;
+	
 	private Action action2;
+	
 	private Action doubleClickAction;
-
+	
 	/*
 	 * The content provider class is responsible for
 	 * providing objects to the view. It can wrap
 	 * existing objects in adapters or simply return
 	 * objects as-is. These objects may be sensitive
 	 * to the current input of the view, or ignore
-	 * it and always show the same content 
+	 * it and always show the same content
 	 * (like Task List, for example).
 	 */
-	 
+	
 	class ViewContentProvider implements IStructuredContentProvider {
-		public void inputChanged(Viewer v, Object oldInput, Object newInput) {
-		}
-		public void dispose() {
-		}
+		
+		public void inputChanged(Viewer v, Object oldInput, Object newInput) {}
+		
+		public void dispose() {}
+		
 		public Object[] getElements(Object parent) {
 			return new String[] { "One", "Two", "Three" };
 		}
 	}
+	
 	class ViewLabelProvider extends LabelProvider implements ITableLabelProvider {
+		
 		public String getColumnText(Object obj, int index) {
 			return getText(obj);
 		}
+		
 		public Image getColumnImage(Object obj, int index) {
 			return getImage(obj);
 		}
+		
 		public Image getImage(Object obj) {
-			return PlatformUI.getWorkbench().
-					getSharedImages().getImage(ISharedImages.IMG_OBJ_ELEMENT);
+			return PlatformUI.getWorkbench().getSharedImages().getImage(ISharedImages.IMG_OBJ_ELEMENT);
 		}
 	}
+	
 	class NameSorter extends ViewerSorter {
 	}
-
+	
 	/**
 	 * The constructor.
 	 */
-	public SampleView() {
-	}
-
+	public SampleView() {}
+	
 	/**
 	 * This is a callback that will allow us
 	 * to create the viewer and initialize it.
@@ -92,7 +99,7 @@
 		viewer.setLabelProvider(new ViewLabelProvider());
 		viewer.setSorter(new NameSorter());
 		viewer.setInput(getViewSite());
-
+		
 		// Create the help context id for the viewer's control
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(viewer.getControl(), "org.txm.groovy.rcp.viewer");
 		makeActions();
@@ -100,11 +107,12 @@
 		hookDoubleClickAction();
 		contributeToActionBars();
 	}
-
+	
 	private void hookContextMenu() {
 		MenuManager menuMgr = new MenuManager("#PopupMenu");
 		menuMgr.setRemoveAllWhenShown(true);
 		menuMgr.addMenuListener(new IMenuListener() {
+			
 			public void menuAboutToShow(IMenuManager manager) {
 				SampleView.this.fillContextMenu(manager);
 			}
@@ -113,19 +121,19 @@
 		viewer.getControl().setMenu(menu);
 		getSite().registerContextMenu(menuMgr, viewer);
 	}
-
+	
 	private void contributeToActionBars() {
 		IActionBars bars = getViewSite().getActionBars();
 		fillLocalPullDown(bars.getMenuManager());
 		fillLocalToolBar(bars.getToolBarManager());
 	}
-
+	
 	private void fillLocalPullDown(IMenuManager manager) {
 		manager.add(action1);
 		manager.add(new Separator());
 		manager.add(action2);
 	}
-
+	
 	private void fillContextMenu(IMenuManager manager) {
 		manager.add(action1);
 		manager.add(action2);
@@ -137,54 +145,57 @@
 		manager.add(action1);
 		manager.add(action2);
 	}
-
+	
 	private void makeActions() {
 		action1 = new Action() {
+			
 			public void run() {
 				showMessage("Action 1 executed");
 			}
 		};
 		action1.setText("Action 1");
 		action1.setToolTipText("Action 1 tooltip");
-		action1.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().
-			getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
+		action1.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
 		
 		action2 = new Action() {
+			
 			public void run() {
 				showMessage("Action 2 executed");
 			}
 		};
 		action2.setText("Action 2");
 		action2.setToolTipText("Action 2 tooltip");
-		action2.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().
-				getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
+		action2.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
 		doubleClickAction = new Action() {
+			
 			public void run() {
 				ISelection selection = viewer.getSelection();
-				Object obj = ((IStructuredSelection)selection).getFirstElement();
-				showMessage("Double-click detected on "+obj.toString());
+				Object obj = ((IStructuredSelection) selection).getFirstElement();
+				showMessage("Double-click detected on " + obj.toString());
 			}
 		};
 	}
-
+	
 	private void hookDoubleClickAction() {
 		viewer.addDoubleClickListener(new IDoubleClickListener() {
+			
 			public void doubleClick(DoubleClickEvent event) {
 				doubleClickAction.run();
 			}
 		});
 	}
+	
 	private void showMessage(String message) {
 		MessageDialog.openInformation(
-			viewer.getControl().getShell(),
-			"Sample View",
-			message);
+				viewer.getControl().getShell(),
+				"Sample View",
+				message);
 	}
-
+	
 	/**
 	 * Passing the focus request to the viewer's control.
 	 */
 	public void setFocus() {
 		viewer.getControl().setFocus();
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.cql2lsa.rcp/.classpath
===================================================================
--- tmp/org.txm.cql2lsa.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.cql2lsa.rcp/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.dictionary.rcp/.classpath
===================================================================
--- tmp/org.txm.dictionary.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.dictionary.rcp/.classpath	(revision 2397)
@@ -1,12 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
